# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'E:\FMS\trunk\client\fms_gui.ui'
#
# Created by: PyQt5 UI code generator 5.5.1
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(1366, 933)
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/Images/NASALogo.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        MainWindow.setWindowIcon(icon)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.gridLayout = QtWidgets.QGridLayout(self.centralwidget)
        self.gridLayout.setObjectName("gridLayout")
        self.graphicsView = QtWidgets.QGraphicsView(self.centralwidget)
        self.graphicsView.setObjectName("graphicsView")
        self.gridLayout.addWidget(self.graphicsView, 0, 0, 1, 1)
        MainWindow.setCentralWidget(self.centralwidget)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)
        self.menubar = QtWidgets.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 1366, 21))
        self.menubar.setObjectName("menubar")
        self.menuFile = QtWidgets.QMenu(self.menubar)
        self.menuFile.setObjectName("menuFile")
        self.menuHelp = QtWidgets.QMenu(self.menubar)
        self.menuHelp.setObjectName("menuHelp")
        self.menuEdit = QtWidgets.QMenu(self.menubar)
        self.menuEdit.setObjectName("menuEdit")
        self.menuTools = QtWidgets.QMenu(self.menubar)
        self.menuTools.setObjectName("menuTools")
        self.menuView = QtWidgets.QMenu(self.menubar)
        self.menuView.setObjectName("menuView")
        self.menuLab = QtWidgets.QMenu(self.menubar)
        self.menuLab.setObjectName("menuLab")
        MainWindow.setMenuBar(self.menubar)
        self.dockWidgetLeft = QtWidgets.QDockWidget(MainWindow)
        self.dockWidgetLeft.setMinimumSize(QtCore.QSize(250, 165))
        self.dockWidgetLeft.setObjectName("dockWidgetLeft")
        self.dockWidgetLeftContents = QtWidgets.QWidget()
        self.dockWidgetLeftContents.setObjectName("dockWidgetLeftContents")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.dockWidgetLeftContents)
        self.gridLayout_2.setContentsMargins(5, 5, 5, 5)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.treeView = QtWidgets.QTreeView(self.dockWidgetLeftContents)
        self.treeView.setDragEnabled(True)
        self.treeView.setDragDropMode(QtWidgets.QAbstractItemView.DragOnly)
        self.treeView.setObjectName("treeView")
        self.gridLayout_2.addWidget(self.treeView, 0, 0, 1, 1)
        self.dockWidgetLeft.setWidget(self.dockWidgetLeftContents)
        MainWindow.addDockWidget(QtCore.Qt.DockWidgetArea(1), self.dockWidgetLeft)
        self.dockWidgetTop = QtWidgets.QDockWidget(MainWindow)
        self.dockWidgetTop.setMinimumSize(QtCore.QSize(1359, 100))
        self.dockWidgetTop.setMaximumSize(QtCore.QSize(524287, 100))
        self.dockWidgetTop.setObjectName("dockWidgetTop")
        self.dockWidgetTopContents = QtWidgets.QWidget()
        self.dockWidgetTopContents.setObjectName("dockWidgetTopContents")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.dockWidgetTopContents)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.frame_2 = QtWidgets.QFrame(self.dockWidgetTopContents)
        self.frame_2.setMinimumSize(QtCore.QSize(260, 0))
        self.frame_2.setMaximumSize(QtCore.QSize(200, 60))
        self.frame_2.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.frame_2.setFrameShadow(QtWidgets.QFrame.Plain)
        self.frame_2.setLineWidth(0)
        self.frame_2.setObjectName("frame_2")
        self.gridLayout_7 = QtWidgets.QGridLayout(self.frame_2)
        self.gridLayout_7.setContentsMargins(0, 0, 0, 0)
        self.gridLayout_7.setSpacing(0)
        self.gridLayout_7.setObjectName("gridLayout_7")
        self.frame_8 = QtWidgets.QFrame(self.frame_2)
        self.frame_8.setMaximumSize(QtCore.QSize(16777215, 25))
        self.frame_8.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.frame_8.setFrameShadow(QtWidgets.QFrame.Plain)
        self.frame_8.setLineWidth(0)
        self.frame_8.setObjectName("frame_8")
        self.gridLayout_19 = QtWidgets.QGridLayout(self.frame_8)
        self.gridLayout_19.setContentsMargins(0, 0, 0, 0)
        self.gridLayout_19.setSpacing(0)
        self.gridLayout_19.setObjectName("gridLayout_19")
        self.comboBox_servers = QtWidgets.QComboBox(self.frame_8)
        self.comboBox_servers.setMinimumSize(QtCore.QSize(140, 20))
        self.comboBox_servers.setMaximumSize(QtCore.QSize(140, 16777215))
        self.comboBox_servers.setObjectName("comboBox_servers")
        self.gridLayout_19.addWidget(self.comboBox_servers, 0, 2, 1, 1)
        self.pushButtonConnect = QtWidgets.QPushButton(self.frame_8)
        self.pushButtonConnect.setMinimumSize(QtCore.QSize(110, 22))
        self.pushButtonConnect.setMaximumSize(QtCore.QSize(110, 22))
        self.pushButtonConnect.setObjectName("pushButtonConnect")
        self.gridLayout_19.addWidget(self.pushButtonConnect, 0, 0, 1, 1)
        self.gridLayout_7.addWidget(self.frame_8, 2, 1, 1, 1)
        self.frame_7 = QtWidgets.QFrame(self.frame_2)
        self.frame_7.setAutoFillBackground(True)
        self.frame_7.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.frame_7.setFrameShadow(QtWidgets.QFrame.Plain)
        self.frame_7.setLineWidth(0)
        self.frame_7.setObjectName("frame_7")
        self.gridLayout_17 = QtWidgets.QGridLayout(self.frame_7)
        self.gridLayout_17.setContentsMargins(0, 0, 0, 0)
        self.gridLayout_17.setSpacing(0)
        self.gridLayout_17.setObjectName("gridLayout_17")
        self.progressBar = QtWidgets.QProgressBar(self.frame_7)
        self.progressBar.setMaximumSize(QtCore.QSize(255, 10))
        self.progressBar.setProperty("value", 0)
        self.progressBar.setTextVisible(False)
        self.progressBar.setObjectName("progressBar")
        self.gridLayout_17.addWidget(self.progressBar, 1, 0, 1, 1)
        self.label_status = QtWidgets.QLabel(self.frame_7)
        self.label_status.setObjectName("label_status")
        self.gridLayout_17.addWidget(self.label_status, 0, 0, 1, 1)
        self.gridLayout_7.addWidget(self.frame_7, 3, 1, 1, 1)
        self.horizontalLayout.addWidget(self.frame_2)
        self.pushButtonNew = QtWidgets.QPushButton(self.dockWidgetTopContents)
        self.pushButtonNew.setMinimumSize(QtCore.QSize(62, 62))
        self.pushButtonNew.setMaximumSize(QtCore.QSize(62, 62))
        self.pushButtonNew.setObjectName("pushButtonNew")
        self.horizontalLayout.addWidget(self.pushButtonNew)
        self.pushButtonOpen = QtWidgets.QPushButton(self.dockWidgetTopContents)
        self.pushButtonOpen.setMinimumSize(QtCore.QSize(62, 62))
        self.pushButtonOpen.setMaximumSize(QtCore.QSize(62, 62))
        self.pushButtonOpen.setObjectName("pushButtonOpen")
        self.horizontalLayout.addWidget(self.pushButtonOpen)
        self.pushButtonSave = QtWidgets.QPushButton(self.dockWidgetTopContents)
        self.pushButtonSave.setMinimumSize(QtCore.QSize(62, 62))
        self.pushButtonSave.setMaximumSize(QtCore.QSize(62, 62))
        self.pushButtonSave.setObjectName("pushButtonSave")
        self.horizontalLayout.addWidget(self.pushButtonSave)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.pushButtonStart = QtWidgets.QPushButton(self.dockWidgetTopContents)
        self.pushButtonStart.setMinimumSize(QtCore.QSize(62, 62))
        self.pushButtonStart.setMaximumSize(QtCore.QSize(62, 62))
        self.pushButtonStart.setObjectName("pushButtonStart")
        self.horizontalLayout.addWidget(self.pushButtonStart)
        self.pushButtonStop = QtWidgets.QPushButton(self.dockWidgetTopContents)
        self.pushButtonStop.setMinimumSize(QtCore.QSize(62, 62))
        self.pushButtonStop.setMaximumSize(QtCore.QSize(62, 62))
        self.pushButtonStop.setObjectName("pushButtonStop")
        self.horizontalLayout.addWidget(self.pushButtonStop)
        self.pushButtonPause = QtWidgets.QPushButton(self.dockWidgetTopContents)
        self.pushButtonPause.setMinimumSize(QtCore.QSize(62, 62))
        self.pushButtonPause.setMaximumSize(QtCore.QSize(62, 62))
        self.pushButtonPause.setObjectName("pushButtonPause")
        self.horizontalLayout.addWidget(self.pushButtonPause)
        self.pushButtonStep = QtWidgets.QPushButton(self.dockWidgetTopContents)
        self.pushButtonStep.setMinimumSize(QtCore.QSize(62, 62))
        self.pushButtonStep.setMaximumSize(QtCore.QSize(62, 62))
        self.pushButtonStep.setObjectName("pushButtonStep")
        self.horizontalLayout.addWidget(self.pushButtonStep)
        self.pushButtonSchedule = QtWidgets.QPushButton(self.dockWidgetTopContents)
        self.pushButtonSchedule.setMinimumSize(QtCore.QSize(62, 62))
        self.pushButtonSchedule.setMaximumSize(QtCore.QSize(62, 62))
        self.pushButtonSchedule.setObjectName("pushButtonSchedule")
        self.horizontalLayout.addWidget(self.pushButtonSchedule)
        self.lcdNumber = QtWidgets.QLCDNumber(self.dockWidgetTopContents)
        self.lcdNumber.setMinimumSize(QtCore.QSize(250, 62))
        self.lcdNumber.setMaximumSize(QtCore.QSize(200, 62))
        self.lcdNumber.setStyleSheet("")
        self.lcdNumber.setDigitCount(8)
        self.lcdNumber.setMode(QtWidgets.QLCDNumber.Dec)
        self.lcdNumber.setSegmentStyle(QtWidgets.QLCDNumber.Filled)
        self.lcdNumber.setObjectName("lcdNumber")
        self.horizontalLayout.addWidget(self.lcdNumber)
        spacerItem1 = QtWidgets.QSpacerItem(10, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem1)
        self.frame = QtWidgets.QFrame(self.dockWidgetTopContents)
        self.frame.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.frame.setFrameShadow(QtWidgets.QFrame.Plain)
        self.frame.setLineWidth(0)
        self.frame.setObjectName("frame")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.frame)
        self.gridLayout_4.setContentsMargins(2, 2, 2, 2)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.labelStartTimeInput = QtWidgets.QLabel(self.frame)
        self.labelStartTimeInput.setObjectName("labelStartTimeInput")
        self.gridLayout_4.addWidget(self.labelStartTimeInput, 0, 1, 1, 1)
        self.labelStartTime = QtWidgets.QLabel(self.frame)
        self.labelStartTime.setObjectName("labelStartTime")
        self.gridLayout_4.addWidget(self.labelStartTime, 0, 0, 1, 1)
        self.labelEndTimeInput = QtWidgets.QLabel(self.frame)
        self.labelEndTimeInput.setObjectName("labelEndTimeInput")
        self.gridLayout_4.addWidget(self.labelEndTimeInput, 1, 1, 1, 1)
        self.labelEndTime = QtWidgets.QLabel(self.frame)
        self.labelEndTime.setObjectName("labelEndTime")
        self.gridLayout_4.addWidget(self.labelEndTime, 1, 0, 1, 1)
        self.labelDuration = QtWidgets.QLabel(self.frame)
        self.labelDuration.setObjectName("labelDuration")
        self.gridLayout_4.addWidget(self.labelDuration, 2, 0, 1, 1)
        self.labelDurationInput = QtWidgets.QLabel(self.frame)
        self.labelDurationInput.setObjectName("labelDurationInput")
        self.gridLayout_4.addWidget(self.labelDurationInput, 2, 1, 1, 1)
        self.horizontalLayout.addWidget(self.frame)
        spacerItem2 = QtWidgets.QSpacerItem(25, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem2)
        self.imageLogo = QtWidgets.QLabel(self.dockWidgetTopContents)
        self.imageLogo.setMinimumSize(QtCore.QSize(62, 62))
        self.imageLogo.setMaximumSize(QtCore.QSize(62, 62))
        self.imageLogo.setText("")
        self.imageLogo.setPixmap(QtGui.QPixmap(":/Images/NASALogo.png"))
        self.imageLogo.setObjectName("imageLogo")
        self.horizontalLayout.addWidget(self.imageLogo)
        spacerItem3 = QtWidgets.QSpacerItem(25, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout.addItem(spacerItem3)
        self.dockWidgetTop.setWidget(self.dockWidgetTopContents)
        MainWindow.addDockWidget(QtCore.Qt.DockWidgetArea(4), self.dockWidgetTop)
        self.dockWidgetRight = QtWidgets.QDockWidget(MainWindow)
        self.dockWidgetRight.setMinimumSize(QtCore.QSize(250, 111))
        self.dockWidgetRight.setObjectName("dockWidgetRight")
        self.dockWidgetRightContents = QtWidgets.QWidget()
        self.dockWidgetRightContents.setObjectName("dockWidgetRightContents")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.dockWidgetRightContents)
        self.gridLayout_3.setContentsMargins(5, 5, 5, 5)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.scrollArea = QtWidgets.QScrollArea(self.dockWidgetRightContents)
        self.scrollArea.setFrameShadow(QtWidgets.QFrame.Plain)
        self.scrollArea.setLineWidth(0)
        self.scrollArea.setVerticalScrollBarPolicy(QtCore.Qt.ScrollBarAsNeeded)
        self.scrollArea.setHorizontalScrollBarPolicy(QtCore.Qt.ScrollBarAlwaysOff)
        self.scrollArea.setWidgetResizable(True)
        self.scrollArea.setObjectName("scrollArea")
        self.scrollAreaWidgetContents = QtWidgets.QWidget()
        self.scrollAreaWidgetContents.setGeometry(QtCore.QRect(0, 0, 230, 602))
        self.scrollAreaWidgetContents.setObjectName("scrollAreaWidgetContents")
        self.gridLayout_9 = QtWidgets.QGridLayout(self.scrollAreaWidgetContents)
        self.gridLayout_9.setObjectName("gridLayout_9")
        self.groupBox_2 = QtWidgets.QGroupBox(self.scrollAreaWidgetContents)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout_12 = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout_12.setContentsMargins(5, 5, 5, 5)
        self.gridLayout_12.setObjectName("gridLayout_12")
        self.frame_5 = QtWidgets.QFrame(self.groupBox_2)
        self.frame_5.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame_5.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame_5.setObjectName("frame_5")
        self.gridLayout_13 = QtWidgets.QGridLayout(self.frame_5)
        self.gridLayout_13.setContentsMargins(5, 5, 5, 5)
        self.gridLayout_13.setObjectName("gridLayout_13")
        self.lineEditTemp = QtWidgets.QLineEdit(self.frame_5)
        self.lineEditTemp.setObjectName("lineEditTemp")
        self.gridLayout_13.addWidget(self.lineEditTemp, 0, 2, 1, 1)
        self.label_6 = QtWidgets.QLabel(self.frame_5)
        self.label_6.setObjectName("label_6")
        self.gridLayout_13.addWidget(self.label_6, 0, 1, 1, 1)
        self.lineEditPrecipitation = QtWidgets.QLineEdit(self.frame_5)
        self.lineEditPrecipitation.setObjectName("lineEditPrecipitation")
        self.gridLayout_13.addWidget(self.lineEditPrecipitation, 1, 2, 1, 1)
        self.lineEditHumidity = QtWidgets.QLineEdit(self.frame_5)
        self.lineEditHumidity.setObjectName("lineEditHumidity")
        self.gridLayout_13.addWidget(self.lineEditHumidity, 2, 2, 1, 1)
        self.label_8 = QtWidgets.QLabel(self.frame_5)
        self.label_8.setObjectName("label_8")
        self.gridLayout_13.addWidget(self.label_8, 1, 1, 1, 1)
        self.lineEditWind = QtWidgets.QLineEdit(self.frame_5)
        self.lineEditWind.setObjectName("lineEditWind")
        self.gridLayout_13.addWidget(self.lineEditWind, 3, 2, 1, 1)
        self.label_9 = QtWidgets.QLabel(self.frame_5)
        self.label_9.setObjectName("label_9")
        self.gridLayout_13.addWidget(self.label_9, 3, 1, 1, 1)
        self.label_7 = QtWidgets.QLabel(self.frame_5)
        self.label_7.setObjectName("label_7")
        self.gridLayout_13.addWidget(self.label_7, 2, 1, 1, 1)
        self.comboBoxDirection = QtWidgets.QComboBox(self.frame_5)
        self.comboBoxDirection.setObjectName("comboBoxDirection")
        self.gridLayout_13.addWidget(self.comboBoxDirection, 4, 2, 1, 1)
        self.label_10 = QtWidgets.QLabel(self.frame_5)
        self.label_10.setObjectName("label_10")
        self.gridLayout_13.addWidget(self.label_10, 4, 1, 1, 1)
        self.gridLayout_12.addWidget(self.frame_5, 7, 1, 1, 1)
        self.frame_4 = QtWidgets.QFrame(self.groupBox_2)
        self.frame_4.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame_4.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame_4.setObjectName("frame_4")
        self.gridLayout_11 = QtWidgets.QGridLayout(self.frame_4)
        self.gridLayout_11.setContentsMargins(5, 5, 5, 5)
        self.gridLayout_11.setObjectName("gridLayout_11")
        self.label_3 = QtWidgets.QLabel(self.frame_4)
        self.label_3.setObjectName("label_3")
        self.gridLayout_11.addWidget(self.label_3, 1, 0, 1, 1)
        self.timeEdit = QtWidgets.QTimeEdit(self.frame_4)
        self.timeEdit.setObjectName("timeEdit")
        self.gridLayout_11.addWidget(self.timeEdit, 1, 1, 1, 1)
        self.label_5 = QtWidgets.QLabel(self.frame_4)
        self.label_5.setObjectName("label_5")
        self.gridLayout_11.addWidget(self.label_5, 0, 0, 1, 1)
        self.dateEdit = QtWidgets.QDateEdit(self.frame_4)
        self.dateEdit.setObjectName("dateEdit")
        self.gridLayout_11.addWidget(self.dateEdit, 0, 1, 1, 1)
        self.gridLayout_12.addWidget(self.frame_4, 6, 1, 1, 1)
        self.gridLayout_9.addWidget(self.groupBox_2, 3, 0, 1, 1)
        self.groupBox = QtWidgets.QGroupBox(self.scrollAreaWidgetContents)
        self.groupBox.setMinimumSize(QtCore.QSize(0, 0))
        self.groupBox.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout_8 = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout_8.setContentsMargins(5, 5, 5, 5)
        self.gridLayout_8.setObjectName("gridLayout_8")
        self.comboBoxLocation = QtWidgets.QComboBox(self.groupBox)
        self.comboBoxLocation.setObjectName("comboBoxLocation")
        self.gridLayout_8.addWidget(self.comboBoxLocation, 5, 0, 1, 1)
        self.comboBoxConfig = QtWidgets.QComboBox(self.groupBox)
        self.comboBoxConfig.setMinimumSize(QtCore.QSize(0, 0))
        self.comboBoxConfig.setObjectName("comboBoxConfig")
        self.gridLayout_8.addWidget(self.comboBoxConfig, 3, 0, 1, 1)
        self.label = QtWidgets.QLabel(self.groupBox)
        self.label.setObjectName("label")
        self.gridLayout_8.addWidget(self.label, 4, 0, 1, 1)
        self.label_2 = QtWidgets.QLabel(self.groupBox)
        self.label_2.setObjectName("label_2")
        self.gridLayout_8.addWidget(self.label_2, 2, 0, 1, 1)
        self.comboBoxSubject = QtWidgets.QComboBox(self.groupBox)
        self.comboBoxSubject.setObjectName("comboBoxSubject")
        self.gridLayout_8.addWidget(self.comboBoxSubject, 1, 0, 1, 1)
        self.label_4 = QtWidgets.QLabel(self.groupBox)
        self.label_4.setObjectName("label_4")
        self.gridLayout_8.addWidget(self.label_4, 0, 0, 1, 1)
        self.gridLayout_9.addWidget(self.groupBox, 0, 0, 1, 1)
        self.groupBox_3 = QtWidgets.QGroupBox(self.scrollAreaWidgetContents)
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridLayout_5 = QtWidgets.QGridLayout(self.groupBox_3)
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.label_11 = QtWidgets.QLabel(self.groupBox_3)
        self.label_11.setObjectName("label_11")
        self.gridLayout_5.addWidget(self.label_11, 0, 0, 1, 1)
        self.comboBoxRelease = QtWidgets.QComboBox(self.groupBox_3)
        self.comboBoxRelease.setObjectName("comboBoxRelease")
        self.gridLayout_5.addWidget(self.comboBoxRelease, 1, 0, 1, 1)
        self.label_12 = QtWidgets.QLabel(self.groupBox_3)
        self.label_12.setObjectName("label_12")
        self.gridLayout_5.addWidget(self.label_12, 2, 0, 1, 1)
        self.frame_3 = QtWidgets.QFrame(self.groupBox_3)
        self.frame_3.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.frame_3.setFrameShadow(QtWidgets.QFrame.Plain)
        self.frame_3.setLineWidth(0)
        self.frame_3.setObjectName("frame_3")
        self.gridLayout_10 = QtWidgets.QGridLayout(self.frame_3)
        self.gridLayout_10.setObjectName("gridLayout_10")
        self.pushButtonLoadTestCase = QtWidgets.QPushButton(self.frame_3)
        self.pushButtonLoadTestCase.setObjectName("pushButtonLoadTestCase")
        self.gridLayout_10.addWidget(self.pushButtonLoadTestCase, 0, 0, 1, 1)
        self.pushButtonSaveTestCase = QtWidgets.QPushButton(self.frame_3)
        self.pushButtonSaveTestCase.setObjectName("pushButtonSaveTestCase")
        self.gridLayout_10.addWidget(self.pushButtonSaveTestCase, 0, 1, 1, 1)
        self.gridLayout_5.addWidget(self.frame_3, 4, 0, 1, 1)
        self.comboBoxManager = QtWidgets.QComboBox(self.groupBox_3)
        self.comboBoxManager.setObjectName("comboBoxManager")
        self.gridLayout_5.addWidget(self.comboBoxManager, 3, 0, 1, 1)
        self.gridLayout_9.addWidget(self.groupBox_3, 1, 0, 1, 1)
        self.pushButton = QtWidgets.QPushButton(self.scrollAreaWidgetContents)
        self.pushButton.setObjectName("pushButton")
        self.gridLayout_9.addWidget(self.pushButton, 2, 0, 1, 1)
        self.scrollArea.setWidget(self.scrollAreaWidgetContents)
        self.gridLayout_3.addWidget(self.scrollArea, 0, 0, 1, 1)
        self.dockWidgetRight.setWidget(self.dockWidgetRightContents)
        MainWindow.addDockWidget(QtCore.Qt.DockWidgetArea(2), self.dockWidgetRight)
        self.dockWidget = QtWidgets.QDockWidget(MainWindow)
        self.dockWidget.setObjectName("dockWidget")
        self.dockWidgetContents = QtWidgets.QWidget()
        self.dockWidgetContents.setObjectName("dockWidgetContents")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.dockWidgetContents)
        self.verticalLayout.setObjectName("verticalLayout")
        self.textEditOutput = QtWidgets.QTextEdit(self.dockWidgetContents)
        self.textEditOutput.setObjectName("textEditOutput")
        self.verticalLayout.addWidget(self.textEditOutput)
        self.dockWidget.setWidget(self.dockWidgetContents)
        MainWindow.addDockWidget(QtCore.Qt.DockWidgetArea(8), self.dockWidget)
        self.actionNew_Simulation = QtWidgets.QAction(MainWindow)
        self.actionNew_Simulation.setObjectName("actionNew_Simulation")
        self.actionOpen_Simulation = QtWidgets.QAction(MainWindow)
        self.actionOpen_Simulation.setObjectName("actionOpen_Simulation")
        self.actionSave_Simulation = QtWidgets.QAction(MainWindow)
        self.actionSave_Simulation.setObjectName("actionSave_Simulation")
        self.actionNew_Test_Case = QtWidgets.QAction(MainWindow)
        self.actionNew_Test_Case.setObjectName("actionNew_Test_Case")
        self.actionOpen_Test_Case = QtWidgets.QAction(MainWindow)
        self.actionOpen_Test_Case.setObjectName("actionOpen_Test_Case")
        self.actionSave_As = QtWidgets.QAction(MainWindow)
        self.actionSave_As.setObjectName("actionSave_As")
        self.actionExit = QtWidgets.QAction(MainWindow)
        self.actionExit.setObjectName("actionExit")
        self.actionAbout_FMS = QtWidgets.QAction(MainWindow)
        self.actionAbout_FMS.setObjectName("actionAbout_FMS")
        self.actionDocumentation = QtWidgets.QAction(MainWindow)
        self.actionDocumentation.setObjectName("actionDocumentation")
        self.actionCopy = QtWidgets.QAction(MainWindow)
        self.actionCopy.setObjectName("actionCopy")
        self.actionPaste = QtWidgets.QAction(MainWindow)
        self.actionPaste.setObjectName("actionPaste")
        self.actionSelect_All = QtWidgets.QAction(MainWindow)
        self.actionSelect_All.setObjectName("actionSelect_All")
        self.actionPreferences = QtWidgets.QAction(MainWindow)
        self.actionPreferences.setObjectName("actionPreferences")
        self.actionTest_Cases = QtWidgets.QAction(MainWindow)
        self.actionTest_Cases.setObjectName("actionTest_Cases")
        self.actionCut = QtWidgets.QAction(MainWindow)
        self.actionCut.setObjectName("actionCut")
        self.actionDelete = QtWidgets.QAction(MainWindow)
        self.actionDelete.setObjectName("actionDelete")
        self.actionCygwin = QtWidgets.QAction(MainWindow)
        self.actionCygwin.setObjectName("actionCygwin")
        self.actionVirtual_Machine = QtWidgets.QAction(MainWindow)
        self.actionVirtual_Machine.setObjectName("actionVirtual_Machine")
        self.actionUpdate_Tools = QtWidgets.QAction(MainWindow)
        self.actionUpdate_Tools.setObjectName("actionUpdate_Tools")
        self.actionTortoiseSVN = QtWidgets.QAction(MainWindow)
        self.actionTortoiseSVN.setObjectName("actionTortoiseSVN")
        self.actionPuTTY = QtWidgets.QAction(MainWindow)
        self.actionPuTTY.setObjectName("actionPuTTY")
        self.actionGit_Bash = QtWidgets.QAction(MainWindow)
        self.actionGit_Bash.setObjectName("actionGit_Bash")
        self.actionToolbar = QtWidgets.QAction(MainWindow)
        self.actionToolbar.setObjectName("actionToolbar")
        self.actionSimulation = QtWidgets.QAction(MainWindow)
        self.actionSimulation.setObjectName("actionSimulation")
        self.actionProperties = QtWidgets.QAction(MainWindow)
        self.actionProperties.setObjectName("actionProperties")
        self.actionDetails = QtWidgets.QAction(MainWindow)
        self.actionDetails.setObjectName("actionDetails")
        self.actionReset_Layout = QtWidgets.QAction(MainWindow)
        self.actionReset_Layout.setObjectName("actionReset_Layout")
        self.actionPreferences_2 = QtWidgets.QAction(MainWindow)
        self.actionPreferences_2.setObjectName("actionPreferences_2")
        self.actionUndo = QtWidgets.QAction(MainWindow)
        self.actionUndo.setObjectName("actionUndo")
        self.actionRedo = QtWidgets.QAction(MainWindow)
        self.actionRedo.setObjectName("actionRedo")
        self.actionSSH_Keys = QtWidgets.QAction(MainWindow)
        self.actionSSH_Keys.setObjectName("actionSSH_Keys")
        self.actionInstructions = QtWidgets.QAction(MainWindow)
        self.actionInstructions.setObjectName("actionInstructions")
        self.actionWiki = QtWidgets.QAction(MainWindow)
        self.actionWiki.setObjectName("actionWiki")
        self.actionTimeline = QtWidgets.QAction(MainWindow)
        self.actionTimeline.setObjectName("actionTimeline")
        self.actionMilestones = QtWidgets.QAction(MainWindow)
        self.actionMilestones.setObjectName("actionMilestones")
        self.actionBrowse_Source = QtWidgets.QAction(MainWindow)
        self.actionBrowse_Source.setObjectName("actionBrowse_Source")
        self.actionView_Tickets = QtWidgets.QAction(MainWindow)
        self.actionView_Tickets.setObjectName("actionView_Tickets")
        self.actionOpen_Ticket = QtWidgets.QAction(MainWindow)
        self.actionOpen_Ticket.setObjectName("actionOpen_Ticket")
        self.actionMy_Tickets = QtWidgets.QAction(MainWindow)
        self.actionMy_Tickets.setObjectName("actionMy_Tickets")
        self.menuFile.addAction(self.actionNew_Simulation)
        self.menuFile.addAction(self.actionOpen_Simulation)
        self.menuFile.addAction(self.actionSave_Simulation)
        self.menuFile.addAction(self.actionSave_As)
        self.menuFile.addSeparator()
        self.menuFile.addAction(self.actionTest_Cases)
        self.menuFile.addSeparator()
        self.menuFile.addAction(self.actionPreferences_2)
        self.menuFile.addSeparator()
        self.menuFile.addAction(self.actionExit)
        self.menuHelp.addAction(self.actionDocumentation)
        self.menuHelp.addAction(self.actionInstructions)
        self.menuHelp.addSeparator()
        self.menuHelp.addAction(self.actionAbout_FMS)
        self.menuEdit.addAction(self.actionUndo)
        self.menuEdit.addAction(self.actionRedo)
        self.menuEdit.addSeparator()
        self.menuEdit.addAction(self.actionCut)
        self.menuEdit.addAction(self.actionCopy)
        self.menuEdit.addAction(self.actionPaste)
        self.menuEdit.addAction(self.actionDelete)
        self.menuEdit.addSeparator()
        self.menuEdit.addAction(self.actionSelect_All)
        self.menuTools.addAction(self.actionPuTTY)
        self.menuTools.addAction(self.actionCygwin)
        self.menuTools.addAction(self.actionGit_Bash)
        self.menuTools.addAction(self.actionTortoiseSVN)
        self.menuTools.addAction(self.actionVirtual_Machine)
        self.menuTools.addSeparator()
        self.menuTools.addAction(self.actionSSH_Keys)
        self.menuTools.addSeparator()
        self.menuTools.addAction(self.actionUpdate_Tools)
        self.menuView.addAction(self.actionToolbar)
        self.menuView.addAction(self.actionSimulation)
        self.menuView.addAction(self.actionDetails)
        self.menuView.addAction(self.actionProperties)
        self.menuView.addSeparator()
        self.menuView.addAction(self.actionReset_Layout)
        self.menuLab.addAction(self.actionWiki)
        self.menuLab.addAction(self.actionTimeline)
        self.menuLab.addAction(self.actionMilestones)
        self.menuLab.addSeparator()
        self.menuLab.addAction(self.actionMy_Tickets)
        self.menuLab.addAction(self.actionView_Tickets)
        self.menuLab.addAction(self.actionOpen_Ticket)
        self.menuLab.addSeparator()
        self.menuLab.addAction(self.actionBrowse_Source)
        self.menubar.addAction(self.menuFile.menuAction())
        self.menubar.addAction(self.menuEdit.menuAction())
        self.menubar.addAction(self.menuView.menuAction())
        self.menubar.addAction(self.menuLab.menuAction())
        self.menubar.addAction(self.menuTools.menuAction())
        self.menubar.addAction(self.menuHelp.menuAction())

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "Fault Management Simulator"))
        self.menuFile.setTitle(_translate("MainWindow", "File"))
        self.menuHelp.setTitle(_translate("MainWindow", "Help"))
        self.menuEdit.setTitle(_translate("MainWindow", "Edit"))
        self.menuTools.setTitle(_translate("MainWindow", "Tools"))
        self.menuView.setTitle(_translate("MainWindow", "View"))
        self.menuLab.setTitle(_translate("MainWindow", "Project"))
        self.pushButtonConnect.setText(_translate("MainWindow", " Connect "))
        self.label_status.setText(_translate("MainWindow", "Status"))
        self.pushButtonNew.setText(_translate("MainWindow", "New"))
        self.pushButtonOpen.setText(_translate("MainWindow", "Open"))
        self.pushButtonSave.setText(_translate("MainWindow", "Save"))
        self.pushButtonStart.setText(_translate("MainWindow", "Start"))
        self.pushButtonStop.setText(_translate("MainWindow", "Stop"))
        self.pushButtonPause.setText(_translate("MainWindow", "Pause"))
        self.pushButtonStep.setText(_translate("MainWindow", "Step"))
        self.pushButtonSchedule.setText(_translate("MainWindow", "Schedule"))
        self.labelStartTimeInput.setText(_translate("MainWindow", "00:00:00"))
        self.labelStartTime.setText(_translate("MainWindow", "Start Time:"))
        self.labelEndTimeInput.setText(_translate("MainWindow", "00:00:00"))
        self.labelEndTime.setText(_translate("MainWindow", "End Time:"))
        self.labelDuration.setText(_translate("MainWindow", "Duration:"))
        self.labelDurationInput.setText(_translate("MainWindow", "00:00:00"))
        self.groupBox_2.setTitle(_translate("MainWindow", "Environment"))
        self.label_6.setText(_translate("MainWindow", "Temperature:"))
        self.label_8.setText(_translate("MainWindow", "Precipitation:"))
        self.label_9.setText(_translate("MainWindow", "Wind:"))
        self.label_7.setText(_translate("MainWindow", "Humidity:"))
        self.label_10.setText(_translate("MainWindow", "Direction:"))
        self.label_3.setText(_translate("MainWindow", "Time:"))
        self.label_5.setText(_translate("MainWindow", "Date:"))
        self.groupBox.setTitle(_translate("MainWindow", "Simulation"))
        self.label.setText(_translate("MainWindow", "Location:"))
        self.label_2.setText(_translate("MainWindow", "Configuration:"))
        self.label_4.setText(_translate("MainWindow", "Subject:"))
        self.groupBox_3.setTitle(_translate("MainWindow", "Test Case"))
        self.label_11.setText(_translate("MainWindow", "Release:"))
        self.label_12.setText(_translate("MainWindow", "Manager:"))
        self.pushButtonLoadTestCase.setText(_translate("MainWindow", "Load"))
        self.pushButtonSaveTestCase.setText(_translate("MainWindow", "Save"))
        self.pushButton.setText(_translate("MainWindow", "3D View"))
        self.actionNew_Simulation.setText(_translate("MainWindow", "New..."))
        self.actionOpen_Simulation.setText(_translate("MainWindow", "Open..."))
        self.actionSave_Simulation.setText(_translate("MainWindow", "Save..."))
        self.actionNew_Test_Case.setText(_translate("MainWindow", "New Test Case..."))
        self.actionOpen_Test_Case.setText(_translate("MainWindow", "Open Test Case..."))
        self.actionSave_As.setText(_translate("MainWindow", "Save As..."))
        self.actionExit.setText(_translate("MainWindow", "Exit"))
        self.actionAbout_FMS.setText(_translate("MainWindow", "About FMS"))
        self.actionDocumentation.setText(_translate("MainWindow", "Index"))
        self.actionCopy.setText(_translate("MainWindow", "Copy"))
        self.actionPaste.setText(_translate("MainWindow", "Paste"))
        self.actionSelect_All.setText(_translate("MainWindow", "Select All"))
        self.actionPreferences.setText(_translate("MainWindow", "Preferences..."))
        self.actionTest_Cases.setText(_translate("MainWindow", "Test Cases..."))
        self.actionCut.setText(_translate("MainWindow", "Cut"))
        self.actionDelete.setText(_translate("MainWindow", "Delete"))
        self.actionCygwin.setText(_translate("MainWindow", "Cygwin"))
        self.actionVirtual_Machine.setText(_translate("MainWindow", "Virtual Machine"))
        self.actionUpdate_Tools.setText(_translate("MainWindow", "Update Tools..."))
        self.actionTortoiseSVN.setText(_translate("MainWindow", "TortoiseSVN"))
        self.actionPuTTY.setText(_translate("MainWindow", "PuTTY"))
        self.actionGit_Bash.setText(_translate("MainWindow", "Git Bash"))
        self.actionToolbar.setText(_translate("MainWindow", "Toolbar"))
        self.actionSimulation.setText(_translate("MainWindow", "Settings"))
        self.actionProperties.setText(_translate("MainWindow", "Output"))
        self.actionDetails.setText(_translate("MainWindow", "Details"))
        self.actionReset_Layout.setText(_translate("MainWindow", "Reset Layout"))
        self.actionPreferences_2.setText(_translate("MainWindow", "Preferences..."))
        self.actionUndo.setText(_translate("MainWindow", "Undo"))
        self.actionRedo.setText(_translate("MainWindow", "Redo"))
        self.actionSSH_Keys.setText(_translate("MainWindow", "SSH Keys..."))
        self.actionInstructions.setText(_translate("MainWindow", "Instructions"))
        self.actionWiki.setText(_translate("MainWindow", "Wiki"))
        self.actionTimeline.setText(_translate("MainWindow", "Timeline"))
        self.actionMilestones.setText(_translate("MainWindow", "Milestones"))
        self.actionBrowse_Source.setText(_translate("MainWindow", "Browse Source"))
        self.actionView_Tickets.setText(_translate("MainWindow", "View Tickets"))
        self.actionOpen_Ticket.setText(_translate("MainWindow", "Open Ticket"))
        self.actionMy_Tickets.setText(_translate("MainWindow", "My Tickets"))

import fms_gui_rc_rc

if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    MainWindow = QtWidgets.QMainWindow()
    ui = Ui_MainWindow()
    ui.setupUi(MainWindow)
    MainWindow.show()
    sys.exit(app.exec_())

